<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>EntityProperties (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EntityProperties (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/entity/metadata/EntityProperties.html" target="_top">Frames</a></li>
<li><a href="EntityProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.entity.metadata</div>
<h2 title="Interface EntityProperties" class="title">Interface EntityProperties</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">EntityProperties</span></pre>
<div class="block">Describes various classes of entities.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isAmbient--">isAmbient</a></span>()</code>
<div class="block">Test whether the entity is an ambient creature, which includes
 the bat.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isAnimal--">isAnimal</a></span>()</code>
<div class="block">Test whether the entity is an animal.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isArmorStand--">isArmorStand</a></span>()</code>
<div class="block">Test whether the entity is an armor stand.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isBoat--">isBoat</a></span>()</code>
<div class="block">Test whether the entity is a boat.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isExperienceOrb--">isExperienceOrb</a></span>()</code>
<div class="block">Test whether the entity is an experience orb.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isFallingBlock--">isFallingBlock</a></span>()</code>
<div class="block">Test whether the entity is a falling block.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isGolem--">isGolem</a></span>()</code>
<div class="block">Test whether the entity is the iron golem from Minecraft.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isItem--">isItem</a></span>()</code>
<div class="block">Test whether the entity is an item.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isItemFrame--">isItemFrame</a></span>()</code>
<div class="block">Test whether the entity is an item frame.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isLiving--">isLiving</a></span>()</code>
<div class="block">Test whether the entity is a living entity.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isMinecart--">isMinecart</a></span>()</code>
<div class="block">Test whether the entity is a minecart.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isNPC--">isNPC</a></span>()</code>
<div class="block">Test whether the entity is a non-player controlled character, which
 includes villagers, NPCs from mods, and so on.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isPainting--">isPainting</a></span>()</code>
<div class="block">Test whether the entity is a painting.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isPasteable--">isPasteable</a></span>()</code>
<div class="block">Test whether this entity can be pasted.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isPlayerDerived--">isPlayerDerived</a></span>()</code>
<div class="block">Test whether the entity is a player-derived entity.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isProjectile--">isProjectile</a></span>()</code>
<div class="block">Test whether the entity is a projectile.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isTagged--">isTagged</a></span>()</code>
<div class="block">Test whether the entity has been named (tagged).</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isTamed--">isTamed</a></span>()</code>
<div class="block">Test whether the entity is tameable and is tamed.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/entity/metadata/EntityProperties.html#isTNT--">isTNT</a></span>()</code>
<div class="block">Test whether the entity is a primed TNT block.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isPlayerDerived--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPlayerDerived</h4>
<pre>boolean&nbsp;isPlayerDerived()</pre>
<div class="block">Test whether the entity is a player-derived entity.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a player derived entity</dd>
</dl>
</li>
</ul>
<a name="isProjectile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isProjectile</h4>
<pre>boolean&nbsp;isProjectile()</pre>
<div class="block">Test whether the entity is a projectile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a projectile</dd>
</dl>
</li>
</ul>
<a name="isItem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isItem</h4>
<pre>boolean&nbsp;isItem()</pre>
<div class="block">Test whether the entity is an item.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an item</dd>
</dl>
</li>
</ul>
<a name="isFallingBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFallingBlock</h4>
<pre>boolean&nbsp;isFallingBlock()</pre>
<div class="block">Test whether the entity is a falling block.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a falling block</dd>
</dl>
</li>
</ul>
<a name="isPainting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPainting</h4>
<pre>boolean&nbsp;isPainting()</pre>
<div class="block">Test whether the entity is a painting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a painting</dd>
</dl>
</li>
</ul>
<a name="isItemFrame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isItemFrame</h4>
<pre>boolean&nbsp;isItemFrame()</pre>
<div class="block">Test whether the entity is an item frame.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an item frame</dd>
</dl>
</li>
</ul>
<a name="isBoat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBoat</h4>
<pre>boolean&nbsp;isBoat()</pre>
<div class="block">Test whether the entity is a boat.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a boat</dd>
</dl>
</li>
</ul>
<a name="isMinecart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMinecart</h4>
<pre>boolean&nbsp;isMinecart()</pre>
<div class="block">Test whether the entity is a minecart.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a minecart</dd>
</dl>
</li>
</ul>
<a name="isTNT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTNT</h4>
<pre>boolean&nbsp;isTNT()</pre>
<div class="block">Test whether the entity is a primed TNT block.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if TNT</dd>
</dl>
</li>
</ul>
<a name="isExperienceOrb--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExperienceOrb</h4>
<pre>boolean&nbsp;isExperienceOrb()</pre>
<div class="block">Test whether the entity is an experience orb.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an experience orb</dd>
</dl>
</li>
</ul>
<a name="isLiving--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLiving</h4>
<pre>boolean&nbsp;isLiving()</pre>
<div class="block">Test whether the entity is a living entity.

 <p>A "living entity" is the superclass of many living entity classes
 in Minecraft.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a living entity</dd>
</dl>
</li>
</ul>
<a name="isAnimal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAnimal</h4>
<pre>boolean&nbsp;isAnimal()</pre>
<div class="block">Test whether the entity is an animal.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an animal</dd>
</dl>
</li>
</ul>
<a name="isAmbient--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAmbient</h4>
<pre>boolean&nbsp;isAmbient()</pre>
<div class="block">Test whether the entity is an ambient creature, which includes
 the bat.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an ambient creature</dd>
</dl>
</li>
</ul>
<a name="isNPC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNPC</h4>
<pre>boolean&nbsp;isNPC()</pre>
<div class="block">Test whether the entity is a non-player controlled character, which
 includes villagers, NPCs from mods, and so on.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an NPC</dd>
</dl>
</li>
</ul>
<a name="isGolem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGolem</h4>
<pre>boolean&nbsp;isGolem()</pre>
<div class="block">Test whether the entity is the iron golem from Minecraft.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an iron golem</dd>
</dl>
</li>
</ul>
<a name="isTamed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTamed</h4>
<pre>boolean&nbsp;isTamed()</pre>
<div class="block">Test whether the entity is tameable and is tamed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if tamed</dd>
</dl>
</li>
</ul>
<a name="isTagged--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTagged</h4>
<pre>boolean&nbsp;isTagged()</pre>
<div class="block">Test whether the entity has been named (tagged).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if named</dd>
</dl>
</li>
</ul>
<a name="isArmorStand--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isArmorStand</h4>
<pre>boolean&nbsp;isArmorStand()</pre>
<div class="block">Test whether the entity is an armor stand.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an armor stand</dd>
</dl>
</li>
</ul>
<a name="isPasteable--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isPasteable</h4>
<pre>boolean&nbsp;isPasteable()</pre>
<div class="block">Test whether this entity can be pasted.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if pasteable</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/entity/metadata/EntityProperties.html" target="_top">Frames</a></li>
<li><a href="EntityProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
